﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Recurrence_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ScheduleAppointmentCollection AppCollection = new ScheduleAppointmentCollection();
            ScheduleAppointment SchApp = new ScheduleAppointment();
            SchApp.Subject = "Team Meeting";
            SchApp.Notes = "Weekly Recurrence";
            SchApp.Location = "Meeting Hall";
            DateTime now = DateTime.Now;
            SchApp.StartTime = new DateTime(now.Year, now.Month, now.Day, 10, 0, 0);
            SchApp.EndTime = new DateTime(now.Year, now.Month, now.Day, 12, 0, 0);
            SchApp.AppointmentBackground = new SolidColorBrush(Colors.Blue);          
      
            SchApp.IsRecursive = true;
            SchApp.RecurrenceRule = "RRULE:FREQ=WEEKLY;COUNT=3;BYDAY=TH,";       

            AppCollection.Add(SchApp);
            schedule.Appointments = AppCollection;

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            schedule.Appointments.Clear();
            schedule.ImportICS();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            schedule.ExportICS();
        }
    }
}
